
Showroom Mobile Banking - Enhancement #13813

[MB] Fund Transfer - Future and Recurring Payment

13 June 2022 02:34 PM - Ron Zheng Yuan Tan

Status: Pending SIT Start date: 13 June 2022

Priority: Normal Due date:  

Assignee: See Liang Lim % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: Future Branch Code: showroom-proj-base-i5

Description

1. Add new field in fund transfer page

Payment Date

Recurring Payment

Notify Recipient

2. Kindly refer the attached pptx for the logics

History

#1 - 13 June 2022 02:39 PM - Ron Zheng Yuan Tan

- Assignee changed from chok yee fan to Ron Zheng Yuan Tan

#2 - 14 June 2022 10:42 AM - Ron Zheng Yuan Tan

- Assignee changed from Ron Zheng Yuan Tan to chok yee fan

#3 - 15 June 2022 10:07 AM - chok yee fan

- Assignee changed from chok yee fan to Wong Mun Fung

#4 - 17 June 2022 09:32 AM - Wong Mun Fung

r217523 | wongmf | 2022-06-16 17:40:26 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/i18n/en.json

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.scss

mun fung :Enhancement #13813 [MB] Fund Transfer - Future and Recurring Payment

----------------------------------------------------------------------------
#5 - 17 June 2022 03:45 PM - Wong Mun Fung

r217596 | wongmf | 2022-06-17 15:45:02 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.scss

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/i18n/en.json

mun fung :Enhancement #13813 [MB] Fund Transfer - Future and Recurring Payment

----------------------------------------------------------------------------

#6 - 17 June 2022 03:54 PM - Wong Mun Fung

- Status changed from New to Resolved

- Assignee changed from Wong Mun Fung to Hoo Dextor

Updated UI with Future and Recurring Payment field with all hardcoded value

actual UI can refer to video below:

https://drive.google.com/file/d/1chsFWgmP627OwSduSpSZ-mR3IhvPPLiL/view

#7 - 21 June 2022 10:37 AM - Wong Mun Fung

- Status changed from Resolved to Pending SIT 

- Assignee changed from Hoo Dextor to Ron Zheng Yuan Tan

Released Showroom MYSIT v2.0.0.0.3

#8 - 04 August 2022 05:49 PM - chok yee fan

new ws provided by Sky instruct by Chew.

https://dev.silverlakemobility.com/cc_mib_ws/api/v1/ribms/performFundTransfer

{

 

"transferAmount":22222,

  "fromAccountNumber":"123222222",

  "recipientReference":"asdasdas",

  "otherPaymentDetails":"asdasdasd",

  "toRecipientName":"asdasdas",

  "recipientIdType":"asdasdas",

  "recipientId":"asdasdas",

  "paymentType":"asdasdas",

  "paymentDate":"01-JAN-2022",

  "startingFromDate":"01-JAN-2022",

  "repeatType":0,

04 April 2025 2/4

https://dev.silverlakemobility.com/redmine/issues/13813
https://drive.google.com/file/d/1chsFWgmP627OwSduSpSZ-mR3IhvPPLiL/view
https://dev.silverlakemobility.com/cc_mib_ws/api/v1/ribms/performFundTransfer


  "numberOfTimes":5,

  "finalTransferDate":"01-JAN-2022",

  "recipientEmail":"asdasdas"

}

 

repeatType; // 0-(Daily) 1-(Weekly) 2-(Every 2 Weeks) 3-(Monthly) 4-(Quarterly) 5-(Half-Yearly) 6-(Yearly)

NOTE: Base on Sky mention, it's never integrate the next web service, VERY high chance will stuck at next ws when entering 6 digits pins

#9 - 09 August 2022 11:33 AM - chok yee fan

- Status changed from Pending SIT  to Feedback

- Assignee changed from Ron Zheng Yuan Tan to Wong Mun Fung

after clarify from Chew, will call the ws after ackwoledgeUiUxPayAccount

#10 - 23 August 2022 04:16 PM - Wong Mun Fung

r218656 | wongmf | 2022-08-23 16:15:42 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.reducer.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.effects.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.actions.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.service.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/constants.ts

mun fung: Enhancement #13813 [MB] Fund Transfer - Future and Recurring Payment #note-8

----------------------------------------------------------------------------

#11 - 23 August 2022 04:16 PM - Wong Mun Fung

- Status changed from Feedback to Resolved

- Assignee changed from Wong Mun Fung to Hoo Dextor

Will call https://dev.silverlakemobility.com/cc_mib_ws/api/v1/ribms/performFundTransfer after calling ackwoledgeUiUxPayAccount WS
#12 - 16 November 2022 09:43 PM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

- Assignee changed from Hoo Dextor to See Liang Lim

Released v2.0.0.0.8 SIT

Files

Fund Transfer.pptx 111 KB 13 June 2022 Ron Zheng Yuan Tan
